function onBegin()
    disableMovement()
    wait(0.5)
    say("Angleversario_angle_cockpit")
    setFlag("luonrevealA")
    setFlag("luonrevealB")
    wait(3)
    playMusic("event:/Angleversario_1_Maps_angle_music4", 0)
    say("Angleversario_angle_cockpit2")
    setFlag("luonBoss")
    setFlag("luonrevealB", false)
    wait(1)
    say("Angleversario_angle_cockpit3")
    setFlag("luonBoss", false)
    wait(0.8)
    setFlag("luonEscape")
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
        setFlag("luonrevealA")
        setFlag("luonEscape")
        playMusic("event:/Angleversario_1_Maps_angle_music4", 0)
        enableMovement()
    end
    enableMovement()
end

